package org.bouml.plugout.apibase;

import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.umlitem.UmlItem;
import org.bouml.plugout.apibase.umlitem.UmlItemFactory;

public class AbstractPlugout extends Thread {
	private final String name;

	private final String version;

	public AbstractPlugout(String name, String version) {
		Thread.currentThread().setName(name + " " + version);
		this.name = name;
		this.version = version;
	}

	protected void configureUmlItemFactory(UmlItemFactory factory) {
	}

	public void launch(int socket) {
		try {
			UmlCom.connect(socket);
			UmlCom.trace("<b>" + name + " </b> release " + version + ".");
			configureUmlItemFactory(UmlItemFactory.getSingleton());
			managePlugout(UmlCom.targetItem());
			UmlCom.trace("<b>Done.</b>");
		} catch(final Exception exception) {
			UmlCom.traceException(exception);
			UmlCom.trace("<b>Error.</b>");
		} finally {
			UmlCom.bye();
			UmlCom.close();
		}
	}

	protected void managePlugout(UmlItem item) {
	}
}
