package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.umlitem.UmlClass;
import org.bouml.plugout.apibase.umlitem.UmlClassInstance;
import org.bouml.plugout.apibase.umlitem.UmlItem;

/**
 * this class manages class instance reference
 */
public class UmlClassInstanceReference {
	private UmlClass _class;

	private UmlClassInstance _instance;

	private String _name;

	/**
	 * return the corresponding instance in the model, or 0/null
	 */
	public UmlClassInstance instance() {
		return _instance;
	}

	/**
	 * return the name of the instance
	 */
	public String name() {
		return _instance != null ? _instance.name() : _name;
	}

	/**
	 * internal, don't call it
	 */
	public void read_() {
		_instance = (UmlClassInstance)UmlItem.read_();
		if(_instance == null) {
			_name = UmlCom.read_string();
			_class = (UmlClass)UmlItem.read_();
		}
	}

	/**
	 * return the type of the instance
	 */
	public UmlClass type() {
		return _instance != null ? _instance.type() : _class;
	}
}
