package org.bouml.plugout.apibase.diagram;

import java.util.Hashtable;
import org.bouml.plugout.apibase.com.UmlCom;

/**
 * this class manages collaboration diagram definition
 */
public class UmlCollaborationDiagramDefinition {
	private UmlClassInstanceReference[] _instances;

	private UmlCollaborationMessage[] _messages;

	/**
	 * return the instances present in the diagram
	 */
	public UmlClassInstanceReference[] instances() {
		return _instances;
	}

	/**
	 * return the messages present in the diagram, ordonned following their rank
	 */
	public UmlCollaborationMessage[] messages() {
		return _messages;
	}

	/**
	 * internal, don't call it
	 */
	public void read_() {
		Hashtable<Integer, UmlClassInstanceReference> instances;
		int n;
		int rank;
		n = UmlCom.read_unsigned();
		_instances = new UmlClassInstanceReference[n];
		instances = new Hashtable<Integer, UmlClassInstanceReference>(n == 0 ? 1 : n);
		for(rank = 0 ; rank != n ; rank += 1) {
			final UmlClassInstanceReference i = new UmlClassInstanceReference();
			_instances[rank] = i;
			instances.put(new Integer(UmlCom.read_unsigned()), i);
			i.read_();
		}
		n = UmlCom.read_unsigned();
		_messages = new UmlCollaborationMessage[n];
		for(rank = 0 ; rank != n ; rank += 1) {
			final UmlCollaborationMessage m = new UmlCollaborationMessage();
			_messages[rank] = m;
			m.read_(instances);
		}
	}
}
