package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;

/**
 * this class manages fragments compartments, a fragment without separator
 * contains one compartment
 */
public class UmlFragmentCompartment {
	private UmlFragment[] _contained;

	private String _end_continuation;

	private UmlFragment _fragment;

	private int _rank;

	private String _start_continuation;

	private String[] _texts;

	private int _y;

	/**
	 * internal, do NOT use it
	 */
	public void add_cont_(String s, int cy) {
		if(cy < _fragment.vcenter_(_rank)) {
			_start_continuation = s;
		} else {
			_end_continuation = s;
		}
	}

	public void add_contained_(UmlFragment x) {
		final UmlFragment[] v = _contained;
		final int n = _contained.length;
		_contained = new UmlFragment[n + 1];
		System.arraycopy(v, 0, _contained, 0, n);
		_contained[n] = x;
	}

	public void add_text_(String x) {
		final String[] v = _texts;
		final int n = _texts.length;
		_texts = new String[n + 1];
		System.arraycopy(v, 0, _texts, 0, n);
		_texts[n] = x;
	}

	public int b() {
		return _y;
	}

	/**
	 * return the fragments contained in the compartment, may be none
	 */
	public UmlFragment[] contained() {
		return _contained;
	}

	/**
	 * return the continuation ('goto' case), or an empty string/null
	 */
	public String endContinuation() {
		return _end_continuation;
	}

	/**
	 * return the fragment owning the compartment
	 */
	public UmlFragment fragment() {
		return _fragment;
	}

	/**
	 * the rank of the compartment in the fragment (0..)
	 */
	public int rank() {
		return _rank;
	}

	/**
	 * internal, don't call it
	 */
	public void read_(UmlFragment fragment, int rank) {
		_fragment = fragment;
		_rank = rank;
		_y = UmlCom.read_unsigned();
		_contained = new UmlFragment[0];
		_texts = new String[0];
	}

	public boolean smaller(UmlFragmentCompartment x) {
		return _fragment.w() < x._fragment.w() && _fragment.h() < x._fragment.h();
	}

	/**
	 * return the continuation ('label' case), or an empty string/null
	 */
	public String startContinuation() {
		return _start_continuation;
	}

	/**
	 * the texts placed in the compartment
	 */
	public String[] texts() {
		return _texts;
	}
}
