package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.umlitem.UmlItem;
import org.bouml.plugout.apibase.umlitem.UmlOperation;

/**
 * this class manages messages indenpendently of the diagram
 */
public class UmlMessage {
	private String _form;

	private UmlClassInstanceReference _from;

	private UmlOperation _operation;

	private UmlClassInstanceReference _to;

	/**
	 * return message as a string, may be empty/null, exclusive with operation()
	 */
	public String form() {
		return _form;
	}

	/**
	 * return the instance sending the message
	 */
	public UmlClassInstanceReference from() {
		return _from;
	}

	/**
	 * return the operation or 0/null, exclusive with form()
	 */
	public UmlOperation operation() {
		return _operation;
	}

	/**
	 * internal, don't call it
	 */
	public void read_(java.util.Hashtable<Integer, UmlClassInstanceReference> instances) {
		_operation = (UmlOperation)UmlItem.read_();
		if(_operation == null) {
			_form = UmlCom.read_string();
		}
		_from = instances.get(new Integer(UmlCom.read_unsigned()));
		_to = instances.get(new Integer(UmlCom.read_unsigned()));
	}

	/**
	 * return the instance receiving the message
	 */
	public UmlClassInstanceReference to() {
		return _to;
	}
}
