package org.bouml.plugout.apibase.diagram;

import java.util.Arrays;
import java.util.Hashtable;
import org.bouml.plugout.apibase.com.UmlCom;

/**
 * this class manages sequence diagram definition
 */
public class UmlSequenceDiagramDefinition {
	private UmlFragment[] _fragments;

	private UmlClassInstanceReference[] _instances;

	private UmlSequenceMessage[] _messages;

	/**
	 * return the fragments present in the diagram
	 */
	public UmlFragment[] fragments() {
		return _fragments;
	}

	/**
	 * return the instances present in the diagram
	 */
	public UmlClassInstanceReference[] instances() {
		return _instances;
	}

	/**
	 * return the messages present in the diagram, ordonned following the
	 * sending time
	 */
	public UmlSequenceMessage[] messages() {
		return _messages;
	}

	/**
	 * internal, don't call it
	 */
	public void read_() {
		Hashtable<Integer, UmlClassInstanceReference> instances;
		int n;
		int rank;
		n = UmlCom.read_unsigned();
		_fragments = new UmlFragment[n];
		for(rank = 0 ; rank != n ; rank += 1) {
			final UmlFragment f = new UmlFragment();
			_fragments[rank] = f;
			f.read_();
		}
		UmlFragment.compute_container_(_fragments);
		n = UmlCom.read_unsigned();
		_instances = new UmlClassInstanceReference[n];
		instances = new Hashtable<Integer, UmlClassInstanceReference>(n == 0 ? 1 : n);
		for(rank = 0 ; rank != n ; rank += 1) {
			final UmlClassInstanceReference i = new UmlClassInstanceReference();
			_instances[rank] = i;
			instances.put(new Integer(UmlCom.read_unsigned()), i);
			i.read_();
		}
		n = UmlCom.read_unsigned();
		_messages = new UmlSequenceMessage[n];
		for(rank = 0 ; rank != n ; rank += 1) {
			final UmlSequenceMessage m = new UmlSequenceMessage();
			_messages[rank] = m;
			m.read_(instances, _fragments);
		}
		Arrays.sort(_messages);
		n = _fragments.length;
		for(rank = 0 ; rank != n ; rank += 1) {
			_fragments[rank].read_covered_(instances);
		}
		while(UmlCom.read_bool()) {
			final String s = UmlCom.read_string();
			final int x = UmlCom.read_unsigned();
			final int y = UmlCom.read_unsigned();
			final int w = UmlCom.read_unsigned();
			final int h = UmlCom.read_unsigned();
			final UmlFragmentCompartment cp = UmlFragment.get_container_(x, y, w, h, _fragments);
			if(cp != null) {
				cp.add_text_(s);
			}
		}
		while(UmlCom.read_bool()) {
			final String s = UmlCom.read_string();
			final int x = UmlCom.read_unsigned();
			final int y = UmlCom.read_unsigned();
			final int w = UmlCom.read_unsigned();
			final int h = UmlCom.read_unsigned();
			final UmlFragmentCompartment cp = UmlFragment.get_container_(x, y, w, h, _fragments);
			if(cp != null) {
				cp.add_cont_(s, y + h / 2);
			}
		}
	}
}
