package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.type.aMessageKind;

/**
 * this class manages messages in a sequence diagram
 */
public class UmlSequenceMessage extends UmlMessage implements Comparable<UmlSequenceMessage> {
	private String _args;

	private UmlFragmentCompartment _fragment;

	private aMessageKind _kind;

	private int _received_at;

	private int _send_at;

	private int _x;

	/**
	 * return the arguments of the operation, may be empty
	 */
	public String arguments() {
		return _args;
	}

	public final int compareTo(UmlSequenceMessage other) {
		return _send_at - other._send_at;
	}

	/**
	 * return the fragment compartment containing the message
	 */
	public UmlFragmentCompartment fragment() {
		return _fragment;
	}

	/**
	 * return kind of the message
	 */
	public aMessageKind kind() {
		return _kind;
	}

	/**
	 * internal, don't call it
	 */
	public void read_(java.util.Hashtable<Integer, UmlClassInstanceReference> instances, UmlFragment[] fragments) {
		super.read_(instances);
		_kind = aMessageKind.fromInt(UmlCom.read_char());
		_args = UmlCom.read_string();
		_x = UmlCom.read_unsigned();
		_send_at = UmlCom.read_unsigned();
		_received_at = UmlCom.read_unsigned();
		_fragment = UmlFragment.get_container_(_x, _send_at, 1, 1, fragments);
	}

	/**
	 * return when the message is received (arbitrary unit)
	 */
	public int receivedAt() {
		return _received_at;
	}

	/**
	 * return when the message is sent (arbitrary unit)
	 */
	public int sentAt() {
		return _send_at;
	}
}
