package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;

/**
 * this class manages subjects
 */
public class UmlSubject {
	/**
	 * internal
	 */
	public static UmlSubject get_container_(int x, int y, int w, int h, UmlSubject[] subjects) {
		int rank = subjects.length;
		while(rank-- != 0) {
			final UmlSubject s = subjects[rank];
			if(x > s._x && y > s._y && x + w < s._x + s._w && y + h < s._y + s._h) {
				return subjects[rank];
			}
		}
		return null;
	}

	private int _h;

	private String _name;

	private int _w;

	private int _x;

	private int _y;

	/**
	 * return the name
	 */
	public String name() {
		return _name;
	}

	/**
	 * internal, don't call it
	 */
	public void read_() {
		_name = UmlCom.read_string();
		_x = UmlCom.read_unsigned();
		_y = UmlCom.read_unsigned();
		_w = UmlCom.read_unsigned();
		_h = UmlCom.read_unsigned();
	}
}
