package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.umlitem.UmlClass;
import org.bouml.plugout.apibase.umlitem.UmlItem;

/**
 * this class manages association between use case and actor
 */
public class UmlUseCaseAssociation {
	private UmlClass _actor;

	private String _name;

	private boolean _primary;

	private String _stereotype;

	private UmlUseCaseReference _use_case;

	/**
	 * return the actor
	 */
	public UmlClass actor() {
		return _actor;
	}

	/**
	 * return the name
	 */
	public String name() {
		return _name;
	}

	/**
	 * return true if the actor is a primary actor for the use case
	 */
	public boolean primary() {
		return _primary;
	}

	/**
	 * internal, don't call it
	 */
	public void read_(java.util.Hashtable<Integer, UmlUseCaseReference> useCases) {
		_use_case = useCases.get(new Integer(UmlCom.read_unsigned()));
		_actor = (UmlClass)UmlItem.read_();
		_primary = UmlCom.read_bool();
		_name = UmlCom.read_string();
		_stereotype = UmlCom.read_string();
	}

	/**
	 * return the stereotype
	 */
	public String stereotype() {
		return _stereotype;
	}

	/**
	 * return the use case
	 */
	public UmlUseCaseReference useCase() {
		return _use_case;
	}
}
