package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.umlitem.UmlItem;
import org.bouml.plugout.apibase.umlitem.UmlUseCase;

/**
 * this class manages use case references
 */
public class UmlUseCaseReference {
	private UmlFragmentCompartment _fragment;

	private int _h;

	private UmlSubject _subject;

	private UmlUseCase _use_case;

	private int _w;

	private int _x;

	private int _y;

	/**
	 * return the fragment compartment containing the use case, or 0/null
	 */
	public UmlFragmentCompartment fragment() {
		return _fragment;
	}

	/**
	 * internal, don't call it
	 */
	public void read_(UmlFragment[] fragments, UmlSubject[] subjects) {
		_use_case = (UmlUseCase)UmlItem.read_();
		_x = UmlCom.read_unsigned();
		_y = UmlCom.read_unsigned();
		_w = UmlCom.read_unsigned();
		_h = UmlCom.read_unsigned();
		_fragment = UmlFragment.get_container_(_x, _y, _w, _h, fragments);
		_subject = UmlSubject.get_container_(_x, _y, _w, _h, subjects);
	}

	/**
	 * return the subject containing the use case, or 0/null
	 */
	public UmlSubject subject() {
		return _subject;
	}

	/**
	 * return the use case
	 */
	public UmlUseCase useCase() {
		return _use_case;
	}
}
