package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.OnInstanceCmd;
import org.bouml.plugout.apibase.com.UmlCom;

public abstract class UmlAccessVariableValueAction extends UmlActivityAction {
	private UmlItem _variable;

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlAccessVariableValueAction(long id, String s) {
		super(id, s);
	}

	@Override
	protected void read_uml_() {
		super.read_uml_();
		_variable = UmlItem.read_();
	}

	/**
	 * set the variable
	 * On error return FALSE in C++, produce a PlugoutException in Java
	 */
	public void set_Variable(UmlItem v) throws PlugoutException {
		UmlCom.send_cmd(identifier_(), OnInstanceCmd.setDefCmd, v.identifier_());
		UmlCom.check();
		_variable = v;
	}

	/**
	 * return the variable, may be an attribute or a relation
	 */
	public UmlItem variable() {
		read_if_needed_();
		return _variable;
	}
}
