package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlActivityFinalActivityNode extends UmlActivityControlNode {
	/**
	 * returns a new activity final activity control node named 's' created
	 * under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlActivityFinalActivityNode create(UmlItem parent, String s) throws PlugoutException {
		return (UmlActivityFinalActivityNode)parent.create_(anItemKind.anActivityFinalActivityNode, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlActivityFinalActivityNode(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anActivityFinalActivityNode;
	}
}
