package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.OnInstanceCmd;
import org.bouml.plugout.apibase.com.UmlCom;

public abstract class UmlActivityRegion extends UmlItem {
	private UmlActivityDiagram _assoc_diagram;

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlActivityRegion(long id, String s) {
		super(id, s);
	}

	/**
	 * returns the optional associated diagram
	 */
	public UmlActivityDiagram associatedDiagram() {
		read_if_needed_();
		return _assoc_diagram;
	}

	@Override
	protected void read_uml_() {
		_assoc_diagram = (UmlActivityDiagram)UmlItem.read_();
		super.read_uml_();
	}

	/**
	 * sets the associated diagram, arg may be null to unset it
	 * On error return FALSE in C++, produce a PlugoutException in Java
	 */
	public void set_AssociatedDiagram(UmlActivityDiagram d) throws PlugoutException {
		UmlCom.send_cmd(identifier_(), OnInstanceCmd.setAssocDiagramCmd, d == null ? (long)0 : d.identifier_());
		UmlCom.check();
		_assoc_diagram = d;
	}
}
