package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.com.UmlCom;

/**
 * This class manages 'actual parameters' of a template class. For instance T in
 * class Cl1 : public Cl2<T> ...
 */
public class UmlActualParameter {
	protected int _rank;

	protected UmlClass _superClass;

	protected UmlTypeSpec _value;

	public UmlActualParameter() {
	}

	/**
	 * returns the actual rank (0...)
	 */
	public final int rank() {
		return _rank;
	}

	/**
	 * internal, do NOT use it
	 */
	protected void read_() {
		_superClass = (UmlClass)UmlItem.read_(); // cannot be 0
		_rank = UmlCom.read_unsigned();
		_value = new UmlTypeSpec();
		_value.type = (UmlClass)UmlItem.read_();
		if(_value.type == null) {
			_value.explicit_type = UmlCom.read_string();
		}
	}

	/**
	 * returns the class of the corresponding formal
	 */
	public final UmlClass superClass() {
		return _superClass;
	}

	/**
	 * returns the actual's value
	 */
	public final UmlTypeSpec value() {
		return _value;
	}
}
