package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlChoicePseudoState extends UmlItem {
	/**
	 * returns a new choice pseudo state created under 'parent'
	 * In case it cannot be created ('parent' cannot contain it etc ...) return
	 * 0 in C++ and produce a PlugoutException in Java
	 */
	public static UmlChoicePseudoState create(UmlItem parent) throws PlugoutException {
		return (UmlChoicePseudoState)parent.create_(anItemKind.aChoicePseudoState, "");
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlChoicePseudoState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aChoicePseudoState;
	}
}
