package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the class diagrams
 */
public class UmlClassDiagram extends UmlDiagram {
	/**
	 * returns a new class diagram named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlClassDiagram create(UmlClassView parent, String s) throws PlugoutException {
		return (UmlClassDiagram)parent.create_(anItemKind.aClassDiagram, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlClassDiagram(long id, String n) {
		super(id, n);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aClassDiagram;
	}
}
