package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.OnInstanceCmd;
import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.diagram.UmlCollaborationDiagramDefinition;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the collaboration diagrams
 */
public class UmlCollaborationDiagram extends UmlDiagram {
	/**
	 * returns a new collaboration diagram named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlCollaborationDiagram create(UmlItem parent, String s) throws PlugoutException {
		return (UmlCollaborationDiagram)parent.create_(anItemKind.aCollaborationDiagram, s);
	}

	private UmlCollaborationDiagramDefinition _def;

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlCollaborationDiagram(long id, String n) {
		super(id, n);
		_def = null;
	}

	/**
	 * return the semantic part of the diagram not present in the model
	 */
	public UmlCollaborationDiagramDefinition definition() {
		if(_def == null) {
			UmlCom.send_cmd(identifier_(), OnInstanceCmd.sideCmd);
			(_def = new UmlCollaborationDiagramDefinition()).read_();
		}
		return _def;
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aCollaborationDiagram;
	}

	@Override
	public void unload(boolean rec, boolean del) {
		_def = null;
		super.unload(rec, del);
	}
}
