package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the component diagrams
 */
public class UmlComponentDiagram extends UmlDiagram {
	/**
	 * returns a new component diagram named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlComponentDiagram create(UmlComponentView parent, String s) throws PlugoutException {
		return (UmlComponentDiagram)parent.create_(anItemKind.aComponentDiagram, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlComponentDiagram(long id, String n) {
		super(id, n);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aComponentDiagram;
	}
}
