package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the component views
 */
public class UmlComponentView extends UmlView {
	/**
	 * returns a new component view named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlComponentView create(UmlPackage parent, String s) throws PlugoutException {
		return (UmlComponentView)parent.create_(anItemKind.aComponentView, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlComponentView(long id, String n) {
		super(id, n);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aComponentView;
	}
}
