package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the deployment diagrams
 */
public class UmlDeploymentDiagram extends UmlDiagram {
	/**
	 * returns a new deployment diagram named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlDeploymentDiagram create(UmlDeploymentView parent, String s) throws PlugoutException {
		return (UmlDeploymentDiagram)parent.create_(anItemKind.aDeploymentDiagram, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlDeploymentDiagram(long id, String n) {
		super(id, n);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aDeploymentDiagram;
	}
}
