package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the deployment views
 */
public class UmlDeploymentView extends UmlView {
	/**
	 * returns a new deployment view named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlDeploymentView create(UmlPackage parent, String s) throws PlugoutException {
		return (UmlDeploymentView)parent.create_(anItemKind.aDeploymentView, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlDeploymentView(long id, String n) {
		super(id, n);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aDeploymentView;
	}
}
