package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.OnInstanceCmd;
import org.bouml.plugout.apibase.com.UmlCom;

/**
 * Mother class of all the classes managing the diagrams
 */
public abstract class UmlDiagram extends UmlItem {
	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlDiagram(long id, String n) {
		super(id, n);
	}

	/**
	 * saves the diagram picture in the file whose pathname is given in
	 * argument, the produced file is a PNG file. The aspect of the diagram is :
	 * - its visible part in case it is open - the aspect specified by its
	 * prefered size and scale in case these last are specified (see menu on a
	 * diagram view) - else the default diagram aspect, which is probably not as
	 * you want
	 * On error return FALSE in C++, produce a PlugoutException in Java
	 */
	public void saveIn(String s) throws PlugoutException {
		UmlCom.send_cmd(identifier_(), OnInstanceCmd.saveInCmd, s);
		UmlCom.check();
	}
}
