package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlEntryPointPseudoState extends UmlItem {
	/**
	 * returns a new entry point pseudo state named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlEntryPointPseudoState create(UmlItem parent, String s) throws PlugoutException {
		return (UmlEntryPointPseudoState)parent.create_(anItemKind.anEntryPointPseudoState, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlEntryPointPseudoState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anEntryPointPseudoState;
	}
}
