package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlExpansionNode extends UmlActivityObject {
	/**
	 * returns a new expansion node named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlExpansionNode create(UmlExpansionRegion parent, String s) throws PlugoutException {
		return (UmlExpansionNode)parent.create_(anItemKind.anExpansionNode, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlExpansionNode(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anExpansionNode;
	}
}
