package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlFinalState extends UmlItem {
	/**
	 * returns a new final state created under 'parent'
	 * In case it cannot be created ('parent' cannot contain it etc ...) return
	 * 0 in C++ and produce a PlugoutException in Java
	 */
	public static UmlFinalState create(UmlItem parent) throws PlugoutException {
		return (UmlFinalState)parent.create_(anItemKind.aFinalState, "");
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlFinalState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aFinalState;
	}
}
