package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlForkActivityNode extends UmlActivityControlNode {
	/**
	 * returns a new fork activity control node named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlForkActivityNode create(UmlItem parent, String s) throws PlugoutException {
		return (UmlForkActivityNode)parent.create_(anItemKind.aForkActivityNode, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlForkActivityNode(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aForkActivityNode;
	}
}
