package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.com.UmlCom;

/**
 * This class manages 'formal parameters' of a template class. For instance 'T'
 * in
 * template class Cl<class T> ...
 */
public class UmlFormalParameter {
	protected UmlTypeSpec _default_value;

	protected UmlTypeSpec _extends;

	protected String _name;

	/**
	 * "class" ...
	 */
	protected String _type;

	public UmlFormalParameter() {
	}

	/**
	 * returns the default actual value
	 */
	public UmlTypeSpec defaultValue() {
		return _default_value;
	}

	/**
	 * return the optional extend (Java)
	 */
	public UmlTypeSpec extend() {
		return _extends;
	}

	/**
	 * returns the name of the formal
	 */
	public String name() {
		return _name;
	}

	/**
	 * internal, do NOT use it
	 */
	protected void read_() {
		_name = UmlCom.read_string();
		_type = UmlCom.read_string();
		_default_value = new UmlTypeSpec();
		_default_value.type = (UmlClass)UmlItem.read_();
		if(_default_value.type == null) {
			_default_value.explicit_type = UmlCom.read_string();
		}
		_extends = new UmlTypeSpec();
		_extends.type = (UmlClass)UmlItem.read_();
		if(_extends.type == null) {
			_extends.explicit_type = UmlCom.read_string();
		}
	}

	/**
	 * returns the type of a formal, probably "class"
	 */
	public String type() {
		return _type;
	}
}
