package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlInitialActivityNode extends UmlActivityControlNode {
	/**
	 * returns a new initial activity control node named 's' created under
	 * 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlInitialActivityNode create(UmlItem parent, String s) throws PlugoutException {
		return (UmlInitialActivityNode)parent.create_(anItemKind.anInitialActivityNode, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlInitialActivityNode(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anInitialActivityNode;
	}
}
