package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlInitialPseudoState extends UmlItem {
	/**
	 * returns a new initial pseudo state created under 'parent'
	 * In case it cannot be created ('parent' cannot contain it etc ...) return
	 * 0 in C++ and produce a PlugoutException in Java
	 */
	public static UmlInitialPseudoState create(UmlItem parent) throws PlugoutException {
		return (UmlInitialPseudoState)parent.create_(anItemKind.anInitialPseudoState, "");
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlInitialPseudoState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anInitialPseudoState;
	}
}
