package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlInterruptibleActivityRegion extends UmlActivityRegion {
	/**
	 * returns a new interruptible activity region named 's' created under
	 * 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlInterruptibleActivityRegion create(UmlItem parent, String s) throws PlugoutException {
		return (UmlInterruptibleActivityRegion)parent.create_(anItemKind.anInterruptibleActivityRegion, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlInterruptibleActivityRegion(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anInterruptibleActivityRegion;
	}
}
