package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlJoinActivityNode extends UmlActivityControlNode {
	/**
	 * returns a new join activity control node named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlJoinActivityNode create(UmlItem parent, String s) throws PlugoutException {
		return (UmlJoinActivityNode)parent.create_(anItemKind.aJoinActivityNode, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlJoinActivityNode(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aJoinActivityNode;
	}
}
