package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlJunctionPseudoState extends UmlItem {
	/**
	 * returns a new junction pseudo state created under 'parent'
	 * In case it cannot be created ('parent' cannot contain it etc ...) return
	 * 0 in C++ and produce a PlugoutException in Java
	 */
	public static UmlJunctionPseudoState create(UmlItem parent) throws PlugoutException {
		return (UmlJunctionPseudoState)parent.create_(anItemKind.aJunctionPseudoState, "");
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlJunctionPseudoState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aJunctionPseudoState;
	}
}
