package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlMergeActivityNode extends UmlActivityControlNode {
	/**
	 * returns a new merge activity control node named 's' created under
	 * 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlMergeActivityNode create(UmlItem parent, String s) throws PlugoutException {
		return (UmlMergeActivityNode)parent.create_(anItemKind.aMergeActivityNode, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlMergeActivityNode(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aMergeActivityNode;
	}
}
