package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlObjectDiagram extends UmlDiagram {
	/**
	 * returns a new object diagram named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlObjectDiagram create(UmlItem parent, String s) throws PlugoutException {
		return (UmlObjectDiagram)parent.create_(anItemKind.anObjectDiagram, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlObjectDiagram(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anObjectDiagram;
	}
}
