package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlRaiseExceptionAction extends UmlActivityAction {
	/**
	 * returns a new raise exception action named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlRaiseExceptionAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlRaiseExceptionAction)parent.create_(anItemKind.aRaiseExceptionAction, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlRaiseExceptionAction(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aRaiseExceptionAction;
	}
}
