package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlReadVariableValueAction extends UmlAccessVariableValueAction {
	/**
	 * returns a new read variable value action named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlReadVariableValueAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlReadVariableValueAction)parent.create_(anItemKind.aReadVariableValueAction, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlReadVariableValueAction(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aReadVariableValueAction;
	}
}
