package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.OnInstanceCmd;
import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlRemoveVariableValueAction extends UmlAccessVariableValueAction {
	/**
	 * returns a new remove variable value action named 's' created under
	 * 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlRemoveVariableValueAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlRemoveVariableValueAction)parent.create_(anItemKind.aRemoveVariableValueAction, s);
	}

	private boolean _remove_duplicates;

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlRemoveVariableValueAction(long id, String s) {
		super(id, s);
	}

	/**
	 * return the isRemoveDuplicates attribute, if TRUE remove duplicates of the
	 * value if non-unique
	 */
	public boolean isRemoveDuplicates() {
		read_if_needed_();
		return _remove_duplicates;
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aRemoveVariableValueAction;
	}

	@Override
	protected void read_uml_() {
		super.read_uml_();
		_remove_duplicates = UmlCom.read_bool();
	}

	/**
	 * set the isRemoveDuplicates attribute
	 * On error return FALSE in C++, produce a PlugoutException in Java
	 */
	public void set_isRemoveDuplicates(boolean v) throws PlugoutException {
		UmlCom.send_cmd(identifier_(), OnInstanceCmd.setFlagCmd, v ? (byte)1 : (byte)0);
		UmlCom.check();
		_remove_duplicates = v;
	}
}
