package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlSendObjectAction extends UmlActivityAction {
	/**
	 * returns a new send object action named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlSendObjectAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlSendObjectAction)parent.create_(anItemKind.aSendObjectAction, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlSendObjectAction(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aSendObjectAction;
	}
}
