package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlShallowHistoryPseudoState extends UmlItem {
	/**
	 * returns a new shallow history pseudo state created under 'parent'
	 * In case it cannot be created ('parent' cannot contain it etc ...) return
	 * 0 in C++ and produce a PlugoutException in Java
	 */
	public static UmlShallowHistoryPseudoState create(UmlItem parent) throws PlugoutException {
		return (UmlShallowHistoryPseudoState)parent.create_(anItemKind.aShallowHistoryPseudoState, "");
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlShallowHistoryPseudoState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aShallowHistoryPseudoState;
	}
}
