package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlTerminatePseudoState extends UmlItem {
	/**
	 * returns a new terminate pseudo state created under 'parent'
	 * In case it cannot be created ('parent' cannot contain it etc ...) return
	 * 0 in C++ and produce a PlugoutException in Java
	 */
	public static UmlTerminatePseudoState create(UmlItem parent) throws PlugoutException {
		return (UmlTerminatePseudoState)parent.create_(anItemKind.aTerminatePseudoState, "");
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlTerminatePseudoState(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aTerminatePseudoState;
	}
}
