package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlTestIdentityAction extends UmlActivityAction {
	/**
	 * returns a new test identity action named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlTestIdentityAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlTestIdentityAction)parent.create_(anItemKind.aTestIdentityAction, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlTestIdentityAction(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aTestIdentityAction;
	}
}
