package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlUnmarshallAction extends UmlActivityAction {
	/**
	 * returns a new unmarshall action named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlUnmarshallAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlUnmarshallAction)parent.create_(anItemKind.anUnmarshallAction, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlUnmarshallAction(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anUnmarshallAction;
	}
}
