package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

/**
 * Manage the use case views
 */
public class UmlUseCaseView extends UmlView {
	/**
	 * returns a new use case view named 's' created under 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlUseCaseView create(UmlItem parent, String s) throws PlugoutException {
		return (UmlUseCaseView)parent.create_(anItemKind.anUseCaseView, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlUseCaseView(long id, String n) {
		super(id, n);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.anUseCaseView;
	}
}
