package org.bouml.plugout.apibase.umlitem;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;

public class UmlWriteVariableValueAction extends UmlAccessVariableValueAction {
	/**
	 * returns a new write variable value action named 's' created under
	 * 'parent'
	 * In case it cannot be created (the name is already used or invalid,
	 * 'parent' cannot contain it etc ...) return 0 in C++ and produce a
	 * PlugoutException in Java
	 */
	public static UmlWriteVariableValueAction create(UmlItem parent, String s) throws PlugoutException {
		return (UmlWriteVariableValueAction)parent.create_(anItemKind.aWriteVariableValueAction, s);
	}

	/**
	 * the constructor, do not call it yourself !!!!!!!!!!
	 */
	protected UmlWriteVariableValueAction(long id, String s) {
		super(id, s);
	}

	@Override
	public anItemKind kind() {
		return anItemKind.aWriteVariableValueAction;
	}
}
