package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.apibase.umlitem.UmlItem;

/**
 * Interface for the sort items of the Bouml browser.
 */
public interface ISortItem {
	/**
	 * Give the position of item.
	 * @return The position of item.
	 */
	int getOrderWeight() ;

	/**
	 * Give the kind of item.
	 * @return The kind's item.
	 */
	anItemKind kind() ;

	/**
	 * Move the item in the browser of Bouml after an other item.
	 * @param umlItem The item after which you want to place the current item.
	 */
	void moveAfter(UmlItem umlItem) ;

	/**
	 * Give the name of the item in the browser of Bouml.
	 * @return The name of item.
	 */
	String name() ;

	/**
	 * Sorting the child of item.
	 */
	void sort() ;

	/**
	 * Give the stereotype of the item in the browser of Bouml.
	 * @return The stereotype of item.
	 */
	String stereotype() ;

}
