package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlActivity extends org.bouml.plugout.apibase.umlitem.UmlActivity implements ISortItem {
	public UmlActivity(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aClassView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_Activity);
		} else if(parentKindValue == anItemKind._anUseCaseView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_Activity);
		} else if(parentKindValue == anItemKind._anUseCase) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_Activity);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
