package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlActivityObject extends org.bouml.plugout.apibase.umlitem.UmlActivityObject implements ISortItem {
	public UmlActivityObject(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._anActivity) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.Activity_ObjectNode);
		} else if(parentKindValue == anItemKind._anInterruptibleActivityRegion) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.InterruptibleActivityRegion_ObjectNode);
		} else if(parentKindValue == anItemKind._anExpansionRegion) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ExpansionRegion_ObjectNode);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		// Do nothing.
	}

}
