package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlActivityPartition extends org.bouml.plugout.apibase.umlitem.UmlActivityPartition implements ISortItem {
	public UmlActivityPartition(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._anActivity) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.Activity_Partition);
		} else if(parentKindValue == anItemKind._aPartition) {
			// A partition that only contains sub partitions. The sorting is
			// done by name.
			return 0;
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
