package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlClass extends org.bouml.plugout.apibase.umlitem.UmlClass implements ISortItem {
	public UmlClass(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aClass) {
			return SortManager.getSingleton().getClassMemberOrderWeight(this);
		} else {
			final String stereotype = stereotype();
			if(parentKindValue == anItemKind._aClassView) {
				if(ISortConstant.STEREOTYPE_STEREOTYPE.equals(stereotype)) {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_Stereotype);
				} else if(ISortConstant.STEREOTYPE_ACTOR.equals(stereotype)) {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_Actor);
				} else {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_Class);
				}
			} else if(parentKindValue == anItemKind._anUseCaseView) {
				if(ISortConstant.STEREOTYPE_STEREOTYPE.equals(stereotype)) {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_Stereotype);
				} else if(ISortConstant.STEREOTYPE_ACTOR.equals(stereotype)) {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_Actor);
				} else {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_Class);
				}
			} else if(parentKindValue == anItemKind._anUseCase) {
				if(ISortConstant.STEREOTYPE_STEREOTYPE.equals(stereotype)) {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_Stereotype);
				} else if(ISortConstant.STEREOTYPE_ACTOR.equals(stereotype)) {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_Actor);
				} else {
					return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_Class);
				}
			} else {
				throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
			}
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
