package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlClassInstance extends org.bouml.plugout.apibase.umlitem.UmlClassInstance implements ISortItem {
	public UmlClassInstance(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aClassView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_ClassInstance);
		} else if(parentKindValue == anItemKind._anUseCaseView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_ClassInstance);
		} else if(parentKindValue == anItemKind._anUseCase) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_ClassInstance);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		// Do nothing.
	}

}
