package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlOpaqueAction extends org.bouml.plugout.apibase.umlitem.UmlOpaqueAction implements ISortItem {
	public UmlOpaqueAction(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._anActivity) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.Activity_ActivityAction);
		} else if(parentKindValue == anItemKind._anInterruptibleActivityRegion) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.InterruptibleActivityRegion_ActivityAction);
		} else if(parentKindValue == anItemKind._anExpansionRegion) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ExpansionRegion_ActivityAction);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
