package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlPackage extends org.bouml.plugout.apibase.umlitem.UmlPackage implements ISortItem {
	public UmlPackage(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aPackage) {
			if(ISortConstant.STEREOTYPE_PROFILE.equals(stereotype())) {
				return SortManager.getSingleton().getOrderWeight(SortItemKind.Package_Profile);
			} else {
				return SortManager.getSingleton().getOrderWeight(SortItemKind.Package_Package);
			}
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
