package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlState extends org.bouml.plugout.apibase.umlitem.UmlState implements ISortItem {
	public UmlState(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aClassView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_State);
		} else if(parentKindValue == anItemKind._anUseCaseView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_StateMachine);
		} else if(parentKindValue == anItemKind._anUseCase) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_StateMachine);
		} else if(parentKindValue == anItemKind._aRegion) {
			// A region contains only one type of item.
			return 0;
		} else if(parentKindValue == anItemKind._aState) {
			if(ISortConstant.STEREOTYPE_SUBMACHINE.equals(stereotype())) {
				return SortManager.getSingleton().getOrderWeight(SortItemKind.StateMachine_SubMachine);
			} else {
				return SortManager.getSingleton().getOrderWeight(SortItemKind.StateMachine_State);
			}
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
