package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlUseCase extends org.bouml.plugout.apibase.umlitem.UmlUseCase implements ISortItem {
	public UmlUseCase(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._anUseCaseView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_UseCase);
		} else if(parentKindValue == anItemKind._anUseCase) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_UseCase);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
