package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.apibase.umlitem.UmlItem;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlUseCaseView extends org.bouml.plugout.apibase.umlitem.UmlUseCaseView implements ISortItem {
	public UmlUseCaseView(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final UmlItem parent = parent();
		final int parentKindValue = parent.kind().value();
		if(parentKindValue == anItemKind._aPackage) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.Package_UseCaseView);
		} else if(parentKindValue == anItemKind._anUseCaseView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_SubUseCaseView);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
