package org.bouml.plugout.sort.util;

import java.io.InputStream;
import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.UmlCom;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

/**
 * Utility for image. The operation load an image with the white pixels transparent.
 */
public final class ImageUtility {
	public static final RGB white = new RGB(255, 255, 255);

	public static Image loadImage(String imagePath) {
		final InputStream inputStream = ClassLoader.getSystemResourceAsStream(imagePath);
		if(inputStream != null) {
			final ImageData imageData = new ImageData(inputStream);
			imageData.transparentPixel = imageData.palette.getPixel(white);
			try {
				inputStream.close();
			} catch(final Exception exception) {
				UmlCom.traceException(exception);
			}
			return new Image(Display.getDefault(), imageData);
		} else {
			throw new PlugoutException("The image '" + imagePath + "' does not exist.");
		}
	}

}
