package org.bouml.plugout.sort.view;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Table;

/**
 * Class representing a component providing a table for the configuration of the container of UML
 * item.
 */
public class SortItemComponent {
	private Button buttonDown;

	private Button buttonUp;

	private Table table;

	public void createBody(Composite parent) {
		final Composite composite = new Composite(parent, SWT.NONE);
		composite.setLayout(new GridLayout(2, false));
		composite.setLayoutData(new GridData(GridData.FILL, GridData.BEGINNING, true, false));
		table = new Table(composite, SWT.SINGLE | SWT.BORDER | SWT.VIRTUAL | SWT.NO_SCROLL);
		table.setLayoutData(new GridData(GridData.FILL, GridData.BEGINNING, true, false));
		table.setLinesVisible(true);
		final Composite compositeButtons = new Composite(composite, SWT.NONE);
		compositeButtons.setLayout(new GridLayout(1, true));
		compositeButtons.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
		buttonUp = new Button(compositeButtons, SWT.ARROW | SWT.UP);
		buttonUp.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
		buttonDown = new Button(compositeButtons, SWT.ARROW | SWT.DOWN);
		buttonDown.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
	}

	public Button getButtonDown() {
		return buttonDown;
	}

	public Button getButtonUp() {
		return buttonUp;
	}

	public Table getTable() {
		return table;
	}

}
